org.eclipse.eef.common.api

## Class AbstractEEFEclipsePlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.emf.common.EMFPlugin.EclipsePlugin
    - - org.eclipse.eef.common.api.AbstractEEFEclipsePlugin

All Implemented Interfaces:
  org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator, org.osgi.framework.BundleActivator

Direct Known Subclasses:
  EEFCommonPlugin.Implementation, EEFCorePlugin.Implementation, EEFIdePlugin.Implementation, EEFIdeUiPlugin.Implementation, EEFTabbedPropertyViewPlugin.Implementation

    public abstract class AbstractEEFEclipsePlugin
    extends org.eclipse.emf.common.EMFPlugin.EclipsePlugin

Common superclass of all the bundle activator of EEF.

### Field Summary

### Fields inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin

`helper`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`AbstractEEFEclipsePlugin(java.lang.String bundleSymbolicName)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `blank(org.eclipse.emf.ecore.EAttribute expression)` Logs that the expression is blank.
`void` `debug(java.lang.String message)` Logs a info message if the debug mode is enabled.
`void` `diagnostic(java.lang.String expression, org.eclipse.emf.common.util.Diagnostic diagnostic)` Logs the given diagnostic.
`void` `error(java.lang.String message)` Logs an error with the given message.
`void` `error(java.lang.String message, java.lang.Exception exception)` Logs an error with the exception and the given message.
`void` `info(java.lang.String message)` Logs an info with the given message.
`void` `info(java.lang.String message, java.lang.Exception exception)` Logs an info with the exception and the given message.
`void` `warning(java.lang.String message)` Logs a warning with the given message.
`void` `warning(java.lang.String message, java.lang.Exception exception)` Logs a warning with the exception and the given message.

### Methods inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin

`doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractEEFEclipsePlugin

    public AbstractEEFEclipsePlugin(java.lang.String bundleSymbolicName)

The constructor.

Parameters:
  `bundleSymbolicName` - The bundle symbolic name

### Method Detail

#### blank

    public void blank(org.eclipse.emf.ecore.EAttribute expression)

Logs that the expression is blank.

Parameters:
  `expression` - The structural feature representing the expression

#### diagnostic

    public void diagnostic(java.lang.String expression,
                           org.eclipse.emf.common.util.Diagnostic diagnostic)

Logs the given diagnostic.

Parameters:
  `expression` - The expression
  `diagnostic` - the diagnostic

#### error

    public void error(java.lang.String message)

Logs an error with the given message.

Parameters:
  `message` - The message

#### error

    public void error(java.lang.String message,
                      java.lang.Exception exception)

Logs an error with the exception and the given message.

Parameters:
  `message` - The message
  `exception` - The exception

#### warning

    public void warning(java.lang.String message)

Logs a warning with the given message.

Parameters:
  `message` - The message

#### warning

    public void warning(java.lang.String message,
                        java.lang.Exception exception)

Logs a warning with the exception and the given message.

Parameters:
  `message` - The message
  `exception` - The exception

#### info

    public void info(java.lang.String message)

Logs an info with the given message.

Parameters:
  `message` - The message

#### info

    public void info(java.lang.String message,
                     java.lang.Exception exception)

Logs an info with the exception and the given message.

Parameters:
  `message` - The message
  `exception` - The exception

#### debug

    public void debug(java.lang.String message)

Logs a info message if the debug mode is enabled.

Parameters:
  `message` - The message to log